View Issue Details

IDProjectCategoryView StatusLast Update
15302Bug reports[All Projects] Survey editingpublic2019-09-30 16:40
Reporterdominikvitt Assigned Tomarkusfluer  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.0.0-RC3 
Target Version4.0.0-RC4Fixed in Version4.0.0-RC4 
Summary15302: Save buttons missing
Description

Save buttons are missing on several locations:

  • Quotas --> Add new quota
  • Survey theme options
  • Permissions --> Edit permission
  • Panel integration --> Add parameter
  • Survey participants --> Export
Steps To Reproduce

Open any of mentioned locations by using sidebar links

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0-RC3
I will donate to the project if issue is resolvedNo
BrowserChromium, Firefox
Database & DB-VersionMySQL 5.7.24-0ubuntu0.18.04.1
Server OS (if known)Linux Mint 19.1 Tessa 64-bit
Webserver software & version (if known)Nginx
PHP VersionPHP 7.3.9-1+ubuntu18.04.1+deb.sury.org+1

Activities

markusfluer

markusfluer

2019-09-25 15:38

administrator   ~53713

Panel integration --> Start typing. the save button is only visible when there is a name set

DenisChenu

DenisChenu

2019-09-26 08:31

developer   ~53714

Start typing. the save button is only visible when there is a name set

Strange choice … set it to disable maybe, but why hidding it. It's a bad solution for usuability in my opinion.

JHoeck

JHoeck

2019-09-26 16:06

manager   ~53720

Last edited: 2019-09-26 16:09

View 2 revisions

Create Question Group save button is there.
Create Question save button is not visible.

dominikvitt

dominikvitt

2019-09-26 17:04

developer   ~53722

There are still 2 issues:

  • Survey theme options, save button exists, but it doesn't work
  • Panel integration --> Add parameter - button is appearing if I start typing characters a-z A-Z, no numbers accepted. It should be written some explanation about this behaviour. Or to show save button disabled by default.

Other points work as expected.

markusfluer

markusfluer

2019-09-27 15:26

administrator   ~53732

Changed panel integration to be disabled on invalid name, instead of hidden.
All other issues seem to be fixed to.

lime_release_bot

lime_release_bot

2019-09-30 16:40

administrator   ~53750

Fixed in Release 4.0.0-RC4+190930

Issue History

Date Modified Username Field Change
2019-09-18 13:47 dominikvitt New Issue
2019-09-23 17:03 dominikvitt Description Updated View Revisions
2019-09-25 15:38 markusfluer Note Added: 53713
2019-09-25 15:53 markusfluer Assigned To => markusfluer
2019-09-25 15:53 markusfluer Status new => resolved
2019-09-25 15:53 markusfluer Resolution open => fixed
2019-09-25 15:53 markusfluer Fixed in Version => 4.0.0-RC4
2019-09-26 08:31 DenisChenu Note Added: 53714
2019-09-26 16:06 JHoeck Note Added: 53720
2019-09-26 16:09 JHoeck Note Edited: 53720 View Revisions
2019-09-26 17:04 dominikvitt Note Added: 53722
2019-09-27 15:26 markusfluer Note Added: 53732
2019-09-30 16:40 lime_release_bot Note Added: 53750
2019-09-30 16:40 lime_release_bot Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing